Skip to content
POST/{organizationId}/{mandateId}/donation/austrianDonationSubmissions/listDonatorsForVBPK

List donators for VBPK

List of donators for the VBPK

Required permissions:

  • mandate.read

  • austrianDonationSubmission.read

Path Parameters

organizationIdstringrequired
mandateIdstringrequired

Request Body required

Content-Type: application/json

limitintegeroptional

Default: 50

minimum: 0

maximum: 1000

offsetintegeroptional

Default: 0

minimum: 0

maximum: 9007199254740991

returnCountbooleanoptional

Default: false

periodYearintegerrequired

maximum: 9007199254740991

exclusiveMinimum: 0

missingVBPKOnlybooleanrequired
limitDebtorsintegeroptional

maximum: 9007199254740991

exclusiveMinimum: 0

ignoreSubmitedDebtorsbooleanoptional
ignoreDebtorsMissingBirthDatebooleanoptional

Authentication: X-API-Key

Request

POST/{organizationId}/{mandateId}/donation/austrianDonationSubmissions/listDonatorsForVBPK
curl --request POST 'https://cloud.campai.com/api/{organizationId}/{mandateId}/donation/austrianDonationSubmissions/listDonatorsForVBPK' \
  --header 'X-API-Key: YOUR_API_KEY' \
  --header 'Content-Type: application/json' \
  --data '{
  "periodYear": 1,
  "missingVBPKOnly": true
}'

Responses

This endpoint returns different response codes based on the request outcome.

200Successful response

Content-Type: application/json

countintegerrequired

minimum: 0

maximum: 9007199254740991

Response

200
{
  "count": 0,
  "groupedDonations": [
    {
      "_id": "string",
      "totalValue": 1,
      "countPositions": 1,
      "donator": {
        "name": "string",
        "nameNormalized": "string",
        "nameSort": "string",
        "address": {
          "country": "string",
          "zip": "string",
          "city": "string",
          "addressLine": "string"
        },
        "email": "",
        "account": 1
      },
      "debtor": null,
      "donations": [
        {
          "_id": "000000000000000000000001",
          "positions": [
            {
              "value": 1,
              "date": "string"
            }
          ]
        }
      ]
    }
  ]
}

400Invalid input data

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

400
{
  "code": "BAD_REQUEST",
  "message": "Invalid input data",
  "issues": []
}

401Authorization not provided

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

401
{
  "code": "UNAUTHORIZED",
  "message": "Authorization not provided",
  "issues": []
}

403Insufficient access

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

403
{
  "code": "FORBIDDEN",
  "message": "Insufficient access",
  "issues": []
}

500Internal server error

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

500
{
  "code": "INTERNAL_SERVER_ERROR",
  "message": "Internal server error",
  "issues": []
}